package org.ioc.commons.flowcontrol.messageboxfactory;

/**
 * An useful definition for implementing a message box factory.
 * 
 * @author Jesús Lunar Pérez
 * 
 */
public interface MessageBoxFactory {
	public interface ConfirmResponse {
		/**
		 * 
		 * 
		 * @param userResponse
		 *            true if user clicked YES; false if user clicked NO.
		 */
		void onUserResponse(boolean userResponse);
	}

	void info(String caption, String message, Object... messageParams);

	void alert(String caption, String message, Object... messageParams);

	void confirm(String caption, String message, ConfirmResponse confirmResponse, Object... messageParams);
}
